## org.apache.tools.ant.taskdefs
Class Replace.Replacefilter

    java.lang.Object
      org.apache.tools.ant.taskdefs.Replace.Replacefilter

Enclosing class:
  Replace

public class Replace.Replacefilter
extends java.lang.Object

A filter to apply.

Constructor Summary
`Replace.Replacefilter()`

Method Summary
`java.lang.String` `getProperty()` Get the name of the property whose value is to serve as the replacement value;
`java.lang.String` `getReplaceValue()` Get the replacement value for this filter token.
`java.lang.String` `getToken()` Get the string to search for
`java.lang.String` `getValue()` Get replacements string
`void` `setProperty(java.lang.String property)` Set the name of the property whose value is to serve as the replacement value; required if `value` is not set.
`void` `setToken(java.lang.String token)` Set the token to replace
`void` `setValue(java.lang.String value)` The replacement string; required if `property`is not set``
`void` `validate()` validate the filter's configuration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Replace.Replacefilter

    public Replace.Replacefilter()

Method Detail

### validate

    public void validate()
                  throws BuildException

  validate the filter's configuration

  Throws:
    `BuildException` - if any part is invalid

### getReplaceValue

    public java.lang.String getReplaceValue()

  Get the replacement value for this filter token.

### setToken

    public void setToken(java.lang.String token)

  Set the token to replace

  Parameters:
    `token` - token

### getToken

    public java.lang.String getToken()

  Get the string to search for

  Returns:
    current token

### setValue

    public void setValue(java.lang.String value)

  The replacement string; required if `property`is not set

  ``
  Parameters:
    `value` - value to replace

### getValue

    public java.lang.String getValue()

  Get replacements string

  Returns:
    replacement or null

### setProperty

    public void setProperty(java.lang.String property)

  Set the name of the property whose value is to serve as the replacement value; required if `value` is not set.

  Parameters:
    `property` - propname

### getProperty

    public java.lang.String getProperty()

  Get the name of the property whose value is to serve as the replacement value;

  Returns:
    property or null

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.